package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CoursesGroup;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/4/6
 */
public class CourseGroupExtendDto extends CoursesGroup {

    private Integer studentNum;

    private Integer groupClassesTotalDuration;

    private Integer groupClassesConsumeDuration;

    private Integer totalClassTimes;

    private Integer currentClassTimes;

    private Date firstClassesStartTime;

    private Date lastClassesEndTime;

    private String teacherName;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getGroupClassesTotalDuration() {
        return groupClassesTotalDuration;
    }

    public void setGroupClassesTotalDuration(Integer groupClassesTotalDuration) {
        this.groupClassesTotalDuration = groupClassesTotalDuration;
    }

    public Integer getGroupClassesConsumeDuration() {
        return groupClassesConsumeDuration;
    }

    public void setGroupClassesConsumeDuration(Integer groupClassesConsumeDuration) {
        this.groupClassesConsumeDuration = groupClassesConsumeDuration;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Date getFirstClassesStartTime() {
        return firstClassesStartTime;
    }

    public void setFirstClassesStartTime(Date firstClassesStartTime) {
        this.firstClassesStartTime = firstClassesStartTime;
    }

    public Date getLastClassesEndTime() {
        return lastClassesEndTime;
    }

    public void setLastClassesEndTime(Date lastClassesEndTime) {
        this.lastClassesEndTime = lastClassesEndTime;
    }
}
